Package org.apache.sling.distribution.journal.bookkeeper

## Class BookKeeperFactory

- java.lang.Object
- - org.apache.sling.distribution.journal.bookkeeper.BookKeeperFactory

    public class BookKeeperFactory
    extends Object

### Constructor Summary

Constructors
`BookKeeperFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BookKeeper` `create​(org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, BookKeeperConfig config, Consumer<org.apache.sling.distribution.journal.messages.PackageStatusMessage> statusSender, Consumer<org.apache.sling.distribution.journal.messages.LogMessage> logSender)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BookKeeperFactory

    public BookKeeperFactory()

### Method Detail

#### create

    public BookKeeper create​(org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder,
                             BookKeeperConfig config,
                             Consumer<org.apache.sling.distribution.journal.messages.PackageStatusMessage> statusSender,
                             Consumer<org.apache.sling.distribution.journal.messages.LogMessage> logSender)